<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div
  *ngFor="let data of valuedMetadataList"
  class="ls-form mb-3">
  <label
    [ngClass]="{'required' : isMetadataRequired, 'fw-normal': labelFontWeightNormal}"
    *ngIf="isFolderEditable || !!data.value">
    {{ data?.metadata?.name }}
  </label>
  <app-metadata-input
    *ngIf="isFolderEditable || !!data.value"
    [type]="data?.metadata?.type"
    [restrictedValues]="data?.metadata?.restrictedValues"
    [defaultValue]="null"
    [editable]="isFolderEditable"
    [mandatory]="true"
    [(value)]="data.value"
    (valueChange)="onValueChanged(data)">
  </app-metadata-input>
</div>


